# This package contains generated C header files.  They differ by architecture,
# so this package cannot be noarch, but there are no ELF objects in it.
%global debug_package %{nil}

%global oname jst-config

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 1
Summary:        Compile-time configuration for Jane Street libraries
Group:          Development/OCaml
License:        MIT
URL:            https://github.com/janestreet/%{oname}
Source0:        %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz
# Use the glibc wrapper for gettid instead of making a bare system call
Patch:          %{name}-gettid.patch

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune-devel >= 3.11.0
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  ocaml-ppx_assert-devel >= 0.17

%description
This package defines compile-time constants used in Jane Street libraries
such as Base, Core, and Async.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx_assert-devel%{?_isa}

%description    devel
This package defines compile-time constants used in Jane Street libraries
such as Base, Core, and Async.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
%dune_check

%files -f .ofiles
%license LICENSE.md

%files devel -f .ofiles-devel



%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 1:0.17.0-1.mga10
+ Revision: 2192885
- new version: 0.17.0

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.1-2.mga9
+ Revision: 1895941
- Rebuild for new ocaml-base and ocaml-ppxlib

* Wed May 18 2022 pterjan <pterjan> 1:0.15.1-1.mga9
+ Revision: 1858601
- Update to 0.15.1

* Wed Apr 06 2022 umeabot <umeabot> 1:0.14.1-2.mga9
+ Revision: 1845553
- Mageia 9 Mass Rebuild

* Fri Oct 15 2021 tv <tv> 1:0.14.1-1.mga9
+ Revision: 1751563
- 0.14.1

* Fri Mar 26 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1710584
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-4.mga8
+ Revision: 1670822
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1551931
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-2.mga8
+ Revision: 1545109
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483999
- add more BRs
- BR ocaml-dune-devel
- imported package ocaml-jst-config

